package com.ruoyi.sim.domain.vo;

import com.ruoyi.sim.domain.RealExam;
import org.apache.commons.lang3.builder.ToStringBuilder;

/**
 * [学生]正在考试页面Vo。
 */
public class StudentRealExamIngVo {

    private RealExam realExam;

    private Long remainingMilliseconds;

    private boolean compulsiveSubmit = false;

    public RealExam getRealExam() {
        return realExam;
    }

    public void setRealExam(RealExam realExam) {
        this.realExam = realExam;
    }

    public Long getRemainingMilliseconds() {
        return remainingMilliseconds;
    }

    public void setRemainingMilliseconds(Long remainingMilliseconds) {
        this.remainingMilliseconds = remainingMilliseconds;
    }

    public boolean isCompulsiveSubmit() {
        return compulsiveSubmit;
    }

    public void setCompulsiveSubmit(boolean compulsiveSubmit) {
        this.compulsiveSubmit = compulsiveSubmit;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this)
                .append("realExam", realExam)
                .append("remainingMilliseconds", remainingMilliseconds)
                .append("compulsiveSubmit", compulsiveSubmit)
                .toString();
    }
}
